from PIL import Image, ImageOps

# 1000x666 pixels
PATH = "data/yugo.jpg"

with Image.open(PATH) as img:

    # belo ram
    imgp = ImageOps.pad(img, (1400, 800), color="#ffffff")
    imgp.show()

    # crveni ram
    imgr = ImageOps.pad(img, (1400, 800), color="#ff0000")
    imgr.show()

    # crn ram
    imgr = ImageOps.pad(img, (1400, 800), color="#000000")
    imgr.show()

    # zeleni ram
    imgr = ImageOps.pad(img, (1400, 800), color="#00ff00")
    imgr.show()
        
    # zuti ram
    imgr = ImageOps.pad(img, (1400, 800), color="#ffff00")
    imgr.show()

    # Zadatak: ulaznu sliku povecati 10%, koriscenjem metoda 'pad'.
    # Napomena: rezultujuca slika ne sme da ima ram. 
    # 1000 x 666
    ImageOps.pad(img, (int(img.size[0]), int(img.size[1])), color="#ff0000").show()

    # Zakljucak: moguce je prosiriti, do na gresku zaokruzivanja 
    # sto se svodi na jedan red piksela.
